/*
*  This program was created by AXELL CORPORATION.
*  Copyright (C) 2017 AXELL CORPORATION, all rights reserved.
*/
#ifndef __GVD_SAMPLE_COMMON_H__
#define __GVD_SAMPLE_COMMON_H__

#include <stdint.h>

int32_t gvd_init_event(int32_t eventID, int32_t iflgptn);
int32_t gvd_set_event(int32_t eventID, int32_t iflgptn);
int32_t gvd_set_event(int32_t eventID, int32_t iflgptn);
int32_t gvd_iset_event(int32_t eventID, int32_t iflgptn);
int32_t gvd_wai_event(int32_t eventID, uint32_t iflgptn, uint32_t *ptn);
int32_t gvd_del_event(int32_t eventID);
int32_t gvd_init_sem(int32_t semID, int32_t isemcnt, int32_t maxsem);
int32_t gvd_wai_sem(int32_t semID);
int32_t gvd_sig_sem(int32_t semID);
int32_t gvd_del_sem(int32_t semID);

#endif /* __GVD_SAMPLE_COMMON_H__ */
